Bump the minimum API to 23. https://redmine.stoutner.com/issues/793